import { queryOptions } from "@tanstack/react-query";
import axios from "axios";

export function getUserRoles() {
    const token = localStorage.getItem("auth_token");
    return queryOptions({
        queryKey: ["getUsers"],
        queryFn: () => fetchUsers(token),
        enabled: !!token, // Prevents query if token is null
        staleTime: 1000,
        //refetchInterval: 2 * 2000,
        refetchOnWindowFocus: true,
    });
}

const fetchUsers = async (token: string | null) => {
    const { data } = await axios.get(`/api/auth/allusersroles`, {
        headers: {
            "Content-Type": "application/json",
            Authorization: `Bearer ${token}`,
        },
    });
    // if we are not localhost ignore the devDir setting.
    //const url: string = window.location.host.split(":")[0];
    return data.data ?? [];
};
